Vulnerability CVE-2021-24365


Published: 2021-07-12   Modified: 2021-07-13

Description:
The Admin Columns WordPress plugin Free before 4.3.2 and Pro before 5.5.2 allowed to configure individual columns for tables. Each column had a type. The type "Custom Field" allowed to choose an arbitrary database column to display in the table. There was no escaping applied to the contents of "Custom Field" columns.

Type:

CWE-79

(Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting'))

CVSS2 => (AV:N/AC:M/Au:S/C:N/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
3.5/10
2.9/10
6.8/10
Exploit range
Attack complexity
Authentication
Remote
Medium
Single time
Confidentiality impact
Integrity impact
Availability impact
None
Partial
None
Affected software
Admincolumns -> Admin columns 

 References:
https://wpscan.com/vulnerability/fdbeb137-b404-46c7-85fb-394a3bdac388
https://www.syss.de/fileadmin/dokumente/Publikationen/Advisories/SYSS-2021-032.txt

Copyright 2021, cxsecurity.com

 

Back to Top